org.keycloak.jose.jws

## Class JWSBuilder.EncodingBuilder

- java.lang.Object
- - org.keycloak.jose.jws.JWSBuilder.EncodingBuilder

- Enclosing class:
    JWSBuilder

      public class JWSBuilder.EncodingBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodingBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `hmac256(byte[] sharedSecret)` Deprecated.
    `String` | `hmac256(SecretKey sharedSecret)` Deprecated.
    `String` | `hmac384(byte[] sharedSecret)` Deprecated.
    `String` | `hmac384(SecretKey sharedSecret)` Deprecated.
    `String` | `hmac512(byte[] sharedSecret)` Deprecated.
    `String` | `hmac512(SecretKey sharedSecret)` Deprecated.
    `String` | `none()`
    `String` | `rsa256(PrivateKey privateKey)` Deprecated.
    `String` | `rsa384(PrivateKey privateKey)` Deprecated.
    `String` | `rsa512(PrivateKey privateKey)` Deprecated.
    `String` | `sign(Algorithm algorithm, PrivateKey privateKey)` Deprecated.
    `String` | `sign(SignatureSignerContext signer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodingBuilder

          public EncodingBuilder()

  - ### Method Detail

    - #### sign

          public String sign(SignatureSignerContext signer)

    - #### none

          public String none()

    - #### sign

          @Deprecated
          public String sign(Algorithm algorithm,
                                         PrivateKey privateKey)

      Deprecated.

    - #### rsa256

          @Deprecated
          public String rsa256(PrivateKey privateKey)

      Deprecated.

    - #### rsa384

          @Deprecated
          public String rsa384(PrivateKey privateKey)

      Deprecated.

    - #### rsa512

          @Deprecated
          public String rsa512(PrivateKey privateKey)

      Deprecated.

    - #### hmac256

          @Deprecated
          public String hmac256(byte[] sharedSecret)

      Deprecated.

    - #### hmac384

          @Deprecated
          public String hmac384(byte[] sharedSecret)

      Deprecated.

    - #### hmac512

          @Deprecated
          public String hmac512(byte[] sharedSecret)

      Deprecated.

    - #### hmac256

          @Deprecated
          public String hmac256(SecretKey sharedSecret)

      Deprecated.

    - #### hmac384

          @Deprecated
          public String hmac384(SecretKey sharedSecret)

      Deprecated.

    - #### hmac512

          @Deprecated
          public String hmac512(SecretKey sharedSecret)

      Deprecated.

Copyright © 2020 JBoss by Red Hat. All rights reserved.